{ lib, config, pkgs, ... }:

with lib;

let
  cfg = config.settings.display-manager;
in {
  config = mkIf (cfg == "cosmic-greeter") {
    services.displayManager.cosmic-greeter.enable = true;
    services.displayManager.cosmic-greeter.package = pkgs.unstable.cosmic-greeter;
  };
}
